[android-components](../../../index.md) / [mozilla.components.support.migration](../../index.md) / [Result](../index.md) / [Success](./index.md)

# Success

`class Success<T> : `[`Result`](../index.md)`<`[`T`](index.md#T)`>` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/migration/src/main/java/mozilla/components/support/migration/Result.kt#L16)

Successful migration that produced data of type [T](index.md#T).

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Success(value: `[`T`](index.md#T)`)`<br>Successful migration that produced data of type [T](index.md#T). |

### Properties

| Name | Summary |
|---|---|
| [value](value.md) | `val value: `[`T`](index.md#T)<br>The result of the successful migration. |
